Subject: Re: autoconf AC_EXEEXT
From: Earnie Boyd <[email-masked]>
To: Jerome Benoit <[email-masked]>
Cc: Cygnus <[email-masked]>
Date: Wed, 12 Jul 2000 06:29:14 -0700 (PDT)

You'll be better served if you ask your question at [email-masked].  I think
I know but would have to work it up to be sure before giving an answer. IIRC,
it involves AC_SUBST.

Earnie.

--- Jerome Benoit <[email-masked]> wrote:
> Thank you very much: that works
> 
> But I have an another trouble:
> I have write the `config.site':
> 
> test "$prefix" = NONE && prefix=${HOME}/local
> test "$exec_prefix" = NONE && exec_prefix=${HOME}
> 
> Autoconf considers as expected the first line,
> but not the second one:
> `@prefix@' is replaced with `<HOME>/local' 
> `@bindir@' with `${exec_prefix}/bin'
> 
> any idea ?
> 
> 
> 
> Earnie Boyd wrote:
> > 
> > --- Jerome Benoit <[email-masked]> wrote:
> > > Bonjour:
> > >
> > > I have just tried `AC_EXEEXT' in a `configure.in' file:
> > > I get the messages
> > >
> > >
> > > checking for Cygwin environment... no
> > > checking for mingw32 environment... no
> > > checking for executable suffix... configure: error: installation or
> > > configuratio
> > > n problem: compiler cannot create executables.
> > >
> > >
> > > Any idea ?
> > >
> > 
> > You must AC_PROG_CC first.
> > 
> > =====
> > ---
> >    Earnie Boyd: <mailto:[email-masked]>
> >             __Cygwin: POSIX on Windows__
> > Cygwin Newbies: <http://www.freeyellow.com/members5/gw32/index.html>
> >            __Minimalist GNU for Windows__
> >   Mingw32 List: <http://www.egroups.com/group/mingw32/>
> >     Mingw Home: <http://www.mingw.org/>
> > 
> > __________________________________________________
> > Do You Yahoo!?
> > Get Yahoo! Mail – Free email you can access from anywhere!
> > http://mail.yahoo.com/
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
> 

__________________________________________________
Do You Yahoo!?
Get Yahoo! Mail – Free email you can access from anywhere!
http://mail.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]